﻿using FitConnect.Models;
using Route = FitConnect.Services.Models.v1.Routes.Route;

namespace FitConnect;

public interface IRouter {
    /// <summary>
    ///     Finding areas for the filter with paging
    /// </summary>
    /// <param name="filter">Search string for the area, use * as wildcard</param>
    /// <param name="totalCount">out var for the total count</param>
    /// <param name="offset"></param>
    /// <param name="limit"></param>
    /// <example>
    ///     var areas = GetAreas("Erlang*", out var _, 0, 10)
    /// </example>
    /// <returns></returns>
    public IEnumerable<Area> GetAreas(string filter, out int totalCount, int offset = 0,
        int limit = 100);


    public Task<List<Route>> FindDestinationsAsync(
        string leiaKey, string? ags = null,
        string? ars = null,
        string? areaId = null, bool skipValidation = false);
}
