using FitConnect.Models;
using Route = FitConnect.Services.Models.v1.Routes.Route;

namespace FitConnect.Services.Interfaces;

public interface IRouteService : IRestCallService {
    /// <summary>
    ///     Returns the destination id for the given intent.
    /// </summary>
    /// <param name="leiaKey"></param>
    /// <param name="ags"></param>
    /// <param name="ars"></param>
    /// <param name="areaId"></param>
    /// <returns></returns>
    Task<List<Route>> GetDestinationIdAsync(string leiaKey,
        string? ags = null,
        string? ars = null,
        string? areaId = null);

    /// <summary>
    /// </summary>
    /// <param name="filter"></param>
    /// <param name="offset"></param>
    /// <param name="limit"></param>
    /// <returns></returns>
    Task<AreaList?> GetAreas(string filter, int offset = 0, int limit = 100);
}
