using System.Text.Json.Serialization;

namespace FitConnect.Services.Models;

public class OAuthAccessToken {
    private readonly DateTime createdAt = DateTime.Now;

    [JsonPropertyName("access_token")]
    public string? AccessToken { get; set; }

    [JsonPropertyName("scope")]
    public string? Scope { get; set; }

    [JsonPropertyName("token_type")]
    public string? TokenType { get; set; }

    [JsonPropertyName("expires_in")]
    public int ExpiresIn { get; set; }

    public bool IsValid => createdAt.AddSeconds(ExpiresIn) > DateTime.Now;
}
